import axios from "../../utils/axios";

export function filterCustomers(query) {
    return axios({
        url: "/spms/customer/list",
        method: "get",
        params: query
    });
}


export function getCustomers(query) {
    return axios({
        url: "/salewarehouse/customer/list",
        method: "get",
        params: query
    });
}

export function updateCustomers(data) {
    return axios({
        url: "/salewarehouse/customer/update",
        method: "post",
        data: data
    });
}

export function deleteCustomers(data) {
    return axios({
        url: "/salewarehouse/customer/delete",
        method: "post",
        data: data
    });
}

export function customersInfo(query) {
    return axios({
        url: "/salewarehouse/customer/detail",
        method: "get",
        params: query
    });
}

export function modifyCustomers(data) {
    return axios({
        url: "/salewarehouse/customer/modify",
        method: "post",
        data: data
    });
}


